  XFree86(TM) 3.3.6 リリースノート
  XFree86 プロジェクト社
  13 October 1999
  The X Japanese Documentation Project
  4 December 1999

  この文書は XFree86 3.3.6 で追加された新機能および修正されたバグについ
  てリリース 3.3.5 と比較して説明したものです。また、バイナリパッケージ
  のインストール手順についても説明します。 XFree86 のすべての利用者に対
  して、バージョン 3.3.6 にアップデートすることを強く推奨します。
  ______________________________________________________________________

  目次


  1. XFree86 と X11R6.3
  2. X11R6.4
  3. OS に関連する項目
  4. 3.3.6 で何が新しくなったか?
  5. 3.3.5 で何が新しくなったか?
  6. 3.3.4 で何が新しくなったか?
  7. 3.3.3.1 で何が新しくなったか ?
  8. 3.3.3 で何が新しくなったか ?
     8.1 セキュリティの修正
     8.2 修正したバグ
     8.3 新機能
     8.4 既知の問題

  9. XFree86 とオープンソースソフトウェア
  10. XFree86 3.3.6 のインストール
  11. 日本語訳について


  ______________________________________________________________________

  1.  XFree86 と X11R6.3

  3.2A ベータ版以降の XFree86 のリリースは、 X コンソーシアム X11R6.3 (X
  コンソーシアムからの最新版) を基にしています。 (訳注:現時点での最新版
  は X11R6.4 です。)

  R6.3 は R6.1 の更新版であり、ソースとプロトコルの両方のレベルで R6.1
  および R6 と互換性があるように開発されています。バイナリは上位互換で
  す。 X11R6.3 では以下のような拡張が X サーバに取り込まれました:
  SECURITY, XC-APPGROUP, XpExtension (表示機能の拡張), そして更新されて
  標準版となった LBX などです。また X11R6.3 には、新しい標準である RX (X
  Remote Execution MIME type) とプロクシー管理プロトコルが含まれていま
  す。さらに X11R6.3 は gzip したフォントをサポートします。

  R6.1 は R6 の更新版であり、ソースとプロトコルの両方のレベルで R6 と互
  換性があるように開発されています。バイナリは上位互換です。 X11R6.1 で
  は以下のような拡張が X サーバに取り込まれました: DOUBLE-BUFFER,
  XKEYBOARD, そして RECORD です。

  R6.2 はどうしたのかって ? X11R6.2 は X11R6.3 のサブセットに与えられた
  名称で、 R6.1 にユーザ定義文字のサポートと縦書き機能を追加して Xlib に
  実装し、さらにプリント機能拡張を加えたものです。



  2.  X11R6.4

  1998 年の 9 月に、The Open Group は X11R6.4 のコピーライトを初期リリー
  スで使っていたフリーでないものから、以前のフリーな X コンソーシアムス
  タイルの copyright に変更しました。現在の開発の中心は XFree86-4.0 に
  なっており、3.3.x リリースは主にバグ修正と新しいドライバを公開すること
  が目的になっていることから、我々は XFree86-3.3.x には X11R4 を採り入れ
  ないことに決めました。

  XFree86-4.0 は X11R6.4 ベースとなる予定です。


  3.  OS に関連する項目

  特定の OS に関する特別な要求事項や警告などはその OS のための README
  ファイルに書かれています。忘れずに確認して下さい。

  Linux 上では現在 Elf 形式が唯一のサポートされたバイナリ形式であること
  に注意して下さい。これはこの版には ix86/a.out および AXP/ECOFF 形式が
  用意されていないことを意味します。

  この版では FreeBSD 3.0 用として ELF バイナリだけが提供されていることに
  注意して下さい。ただし互換性のために a.out 形式の共有ライブラリも含ま
  れています。



  4.  3.3.6 で何が新しくなったか?


  o  ATI Rage128 のサポート

  o  ATI Rage Mobility のサポート

  o  SiS 540/630 と SiS 300 のサポート

  o  Silicon Motion Lynx チップセットのサポート

  o  Savage2000 のサポート

  o  NVIDIA GeForce のサポート

  o  Intel i810 のサポート(カーネルモジュールを必要とするため、デフォル
     トでは有効にされていません)

  o  いくつかのドライバのバグ修正


  5.  3.3.5 で何が新しくなったか?


  o  S3 Savage4 と Savage3D のサポート。現時点では Linux/x86 でしか使え
     ません。README.S3V をご覧ください。

  o  S3 Trio3D/2X のサポート。

  o  DGux のサポート。

  o  QNX のサポート。

  o  Mach64 サーバを Rage LT と Rage LT Pro で使った際のバグの修正。

  o  SiS 530 と 620 のための SiS ドライバの修正。

  o  NVidia Riva TNT カードにおける下線に関する重大な問題の修正。

  o  最近の Linux カーネルで起こる PS/2 マウスの問題の修正。

  o  Rendition ドライバのさまざまな更新とバグ修正。

  o  SuSE と RedHat による更新。対応するキーボードの追加、PAM のサポー
     ト、ARM と AXP のドライバ修正、セキュリティ修正など。
  6.  3.3.4 で何が新しくなったか?


  o  セキュリティ関連の修正いくつか

  o  Intel i740 のサポート (Precision Insight 社の寄付)

  o  SiS 530, SiS 620 のサポート

  o  3Dfx Voodoo Banshee, Voodoo3 のサポート

  o  Trident Blade3D, CyberBlade, Cyber9525 のサポート

  o  S3 Trio3D のサポート

  o  Matrox G400 のサポート

  o  NVIDIA Riva TNT2 のサポートと Riva チップセット全てに関するアクセラ
     レーションの改良(NVIDIA 社の寄付)

  o  Cyrix MediaGX のサポートの書き直し (Cyrix 社の寄付) 警告: これはハ
     ングする場合があると報告されています。ハングするようならこれを使わ
     ないで、XFree86-3.3.3.1 に入っている SVGA サーバを使ってください。

  o  PPC 上の XF68_FBDev でのアクセラレーション

  o  VMWare の DGA-1.1 機能拡張。XFree86 の次のメジャーリリースには
     DGA-1.1 は含まれませんが、新しく開発された DGA-2.0 が含まれます。こ
     れは DGA-1.1 よりずっと多くの機能を持ち、DGA-1.1 とは互換ではありま
     せん。

  o  xterm の tty のデフォルト設定を変更し、バックスペースキーを使えるよ
     うにした。

  o  日本語の文書とオンラインマニュアルの更新。

  o  xinput 機能拡張の更新と新しいハードウェアのサポート(Acecad flair,
     Calcomp DrawingBoard)

  o  S3 Aurora64V+ (M65) チップを使ったカードにおけるバグの修正。 VGA 出
     力が動作するようになったはずです。




  7.  3.3.3.1 で何が新しくなったか ?


  o  3Dlabs ドライバによりシステムクロックが遅れる現象は修正されました。

  o  C&T HiQV チップの描画に関するバグは修正されました。

  o  Cyrix ドライバの描画に関する問題は修正されました。

  o  Matrox G100/G200 の PCI 版は完全にサポートされました。

  o  Mach64 サーバはガンマ補正をサポートします。

  o  オープンソース定義に従う NVIDIA ドライバコードが提供されました。

  o  I128 Rev IV のサポートが追加されました。

  o  S3V のロックアップ問題がまたひとつ修正されました。

  o  cfb24 の描画に関するバグが修正されました。

  o  ある種の Trident カードに関連するロックアップ問題が修正されました。

  o  SCO, FreeBSD, Linux などの glibc OS に対するサポートが更新されまし
     た。

  o  DG/ux のサポートが追加されました。

  o  GNU/Hurd のサポートが追加されました。

  o  いくつかの XINPUT に関する問題は対処されました。

  o  XINPUT が定義された際の DGA 相対マウス運動イベントは修正されまし
     た。また NVIDIA および S3V ドライバの DGA に関連する問題も修正され
     ました。

  o  X サーバは真のユーザ ID を使用して Xauthority ファイルを読むように
     なりました。

  o  コアクライアントに対して、いくつかの細かな修正が行われました。

  o  KOI8-R の扱いに関する Xlib のバグは修正されました。

  o  PC98 用のカードデータベース、 config ファイルのサンプル、および XKB
     の扱いなどが修正されました。


  8.  3.3.3 で何が新しくなったか ?


  8.1.  セキュリティの修正


  o  XFree86-3.3.2 のリリース後に発見されたいくつかのバッファ溢れに関す
     る問題を修正しました。

  o  DISPLAY 変数の sanity チェック

  o  X 接続ハイジャック防止の仕掛け (/tmp/.X11-unix のスティッキービッ
     ト) これは単に一時的かつ部分的な解決方法であり、またある種の SYSV
     ベースな OS (例えば Solaris 2.x) 上では、まったく役に立たないという
     ことに注意して下さい。

  8.2.  修正したバグ


  o  初期化していない変数を使うという LBX に関する重大なバグを修正しまし
     た。

  o  XKB を (latin2 のような) ある種のロケールで使用した時に問題を起こす
     Xlib のバグを修正し、また iso8859-15 に対するサポートを追加して
     iso8859-15 の基本的なフォントをいくつか含めました。

  o  10 以上のモードを扱えるよう xf86config を修正し、 XFCom / XBF サー
     バについても考慮しました。

  o  xterm について多くの変更があります。ソースファイル中の
     xterm.log.html を参照して下さい。

  o  Riva128 上で多くの色深度と高いドットクロックを使用した場合の問題点
     を修正しました。

  o  S3 カードを使用する際、ボード上の S3 チップを無効にした場合に生じる
     S3 ドライバの問題を修正しました。

  o  高解像度時の Cirrus 5480 についての問題と、546x で BitBLT エンジン
     を使用した際に生じるジッターの問題を修正しました。
  o  Tseng ドライバに関するクロック制限の問題を修正しました。

  o  ViRGE チップに関するロックアップの問題を修正しました。

  o  Mach64 X サーバのビデオ FIFO 時間調整計算を改善しました。

  o  Mach64 X サーバのフォントレンダリングコードにあったバグを修正しまし
     た。

  o  Mach64 X サーバの終了時に発生した VGA フォント復元に関するバグを修
     正しました。

  o  XF68_FBDev に関するいくつかの問題を修正しました。

  o  S3 Trio64V+ に関する間違ったクロック制限の問題を修正しました。

  o  cfb および vga コード中の一般的なレンダリングエラーを修正しました。

  o  MGA ドライバにおけるテキスト復元問題を修正し、高解像度 32bpp モード
     の表示を改善しました。 24bpp および 32bpp モードでの表示に関する問
     題を修正しました。特定の MGA チップセット上でのメモリー検出を無効に
     しました。最大 blit サイズを修正しました。 Mystique 上での sync on
     green を修正しました。

  o  visual が多すぎると Xnest がクラッシュする問題を修正しました。

  o  64bit アーキテクチャに対応するよう修正しました。

  o  S3V サーバのカーソルに関するバグを修正しました。

  o  C&T チップセット上でのメモリー検出、最高ドットクロック検出、および
     DPMS 表示オフなどの問題を修正しました。

  o  cirrus ドライバを改良し、 CLGD755x 上の LCD 検出問題、二重マウスバ
     グおよびブランキングバグを修正しました。

  o  -quiet フラッグに関するいくつかの問題 (ある種の変数が初期化されな
     い) を修正しました。

  o  SuperProbe は、非 PCI バス接続の場合を除いて、 C&T HiQV チップを正
     しく検出できるようになりました。この場合、SuperProbe に "-no_bios"
     オプションを付けることで検出できるようになります。

  o  C&T チップセットは特定の状況に発生するいくつかの小さな問題を避ける
     ため、標準ではソフトウェアカーソルを使用します。 XF86Config に
     "hw_cursor" オプションを追加することによって従来どおりハードウェア
     カーソルを使用することも可能です。

  o  EGC サーバは Linux/98 上で動作するようになりました。また XF98Setup
     も使用可能です。

  o  Linux/98 上の MGA サーバにおける VT 切り換え問題を修正しました。

  8.3.  新機能


  o  Cyrix MediaGX ベースのマザーボードに対する新しいドライバが追加され
     ました。

  o  Rendition V1000 および V2x00 チップセットに対する (アクセラレータ非
     対応の) 新しいドライバが追加されました。

  o  Weitek P9100 ベースのカードに対する新しいドライバが追加されました。

  o  SiS 5597/98 および SiS 6326 に対する新しいドライバが追加されまし
     た。また SiS 6215 および 6225 を 6205 として扱うようになりました。
  o  (IBM RAMDAC と共に) GLINT 500TX および MX, Permedia, Permedia 2 お
     よび Permedia 2v を使用する 3Dlabs ベースのカードに対する新しいドラ
     イバが追加されました。

  o  Matrox G100 および G200 ベースのカードに対するサポートが MGA ドライ
     バに追加されました。

  o  C&T 69000 に対するサポートが追加され、また 65550 以降での 32bpp 表
     示が可能になりました。

  o  NeoMagic 社製のノートブック PC 用チップセットがサポートされました。

  o  EPSON SPC8110 がサポートされました。

  o  NVidia Riva TNT がサポートされました。

  o  Trident Image975, Image985, Cyber9397, Cyber9388 についてアクセラレ
     ータ対応コードが追加されました。 (訳注:Cyber 系の対応はまだ不完全な
     ため、標準では無効にされました。)

  o  新しい ATI Rage Pro, VT4 および Rage IIC ベースのカードに対するサポ
     ートが追加されました。

  o  24-plane TGA がサポートされました。

  o  DECnet transport を使用可能な Linux 上で XFree86 を構築するための
     Config がサポートされました。

  o  FreeBSD/ELF 上での XFree86 構築がサポートされました。

  o  Linux/x86 上での vesafb がサポートされました。

  o  LynxOS 3.0 がサポートされました。

  o  SuperProbe がアップデートされました。

  o  AceCad ADVANCEDigitizer, MicroTouch TouchPen, SGI dial box に対する
     新しい XInput ドライバが追加されました。

  o  local フォントディレクトリが追加されました。

  8.4.  既知の問題

  ここに挙げられている問題は、リリース時に判明していたものです。最新の情
  報は XFree86 FAQ を参照して下さい。


  o  幾つかの Cirrus ラップトップ用チップセット (75xx) で問題がありま
     す。このチップセットのドライバがうまく動作している人もいますが、
     ちゃんと使えていない人もいます。該当する機器について誰かが問題を確
     認するまで、これらの問題が修正される見込みはありません。この問題解
     決について作業したい場合は、我々に連絡をしてください。我々はテスタ
     ーではなく問題を修正してくれる方たちを必要としています。

  o  幾つかの Trident ラップトップ用チップセットで問題があります。この
     チップセットのドライバを曲りなりにも使えている人もいますが、まった
     く使えない人もいます。該当する機器について誰かが問題を確認するま
     で、これらの問題が修正される見込みはありません。この問題解決につい
     て作業したい場合は、我々に連絡をしてください。我々はテスターではな
     く問題を修正してくれる方たちを必要としています。

  o  新規にサポートされたチップには SuperProbe コマンドによって検出でき
     ないものがあります。現在のところ、特に最近になってサポートされた
     チップについては、SuperProbe による検出結果よりも、適切に設定された
     XF86Config を (おそらく "-probeonly" オプションと共に) 使用した X
     サーバ自身による検出結果のほうが信頼できると言えます。 SuperProbe
     のコードデザインを改良することに興味があるなら、 XFree86 の「開発者
     チーム」に参加して下さい。


  9.  XFree86 とオープンソースソフトウェア

  XFree86 のパブリックリリースは、一般的には
  http://www.opensource.org/osd.html によって規定されているオープンソー
  スソフトウェア定義に従っています。この定義は実際、我々の要求条件のサブ
  セットになっています。

  XFree86 3.3.6 のすべてのコードは、オープンソース定義を満たしています。



  10.  XFree86 3.3.6 のインストール

  XFree86 3.3.6 のバイナリは完全なリリースとして配布されています。

  注意: X サーバはもはや setuid root としてインストールされません。 X サ
  ーバを startx/xinit 経由、またはそれに類似した方法で起動する場合には、
  setuid された Xwrapper のコピーと更新された xinit が必要です。これらは
  Xbin.tgz 中にあります。

  XFree86 3.3.3 の構成要素一覧は次のとおりです。 OS によって多少の相違が
  あります。

  新規導入または 3.3 より前の版からの移行導入には、次の構成要素が必要で
  す:


       <!--
       preinst.sh      Pre-installation script
       postinst.sh     Post-installation script
       extract         XFree86 extraction utility
       Xbin.tgz        Clients, run-time libs, and app-defaults files
       Xdoc.tgz        Documentation
       Xfnts.tgz       75dpi, misc and PEX fonts
       Xlib.tgz        Data files required at run-time
       Xman.tgz        Manual pages
       Xset.tgz        XF86Setup utility
       Xjset.tgz       XF86Setup utility (if you prefer the Japanese version)
       XVG16.tgz       16 colour VGA server (XF86Setup needs this server)
       Xcfg.tgz        sample config files for xinit, xdm
       -->
       preinst.sh      導入前スクリプト
       postinst.sh     導入後スクリプト
       extract         XFree86 伸長ユーティリティ
       Xbin.tgz        クライアント、実行時ライブラリ、および
                       アプリケーションの標準値ファイル
       Xdoc.tgz        文書
       Xfnts.tgz       75dpi, misc および PEX フォント
       Xlib.tgz        実行時に必要なデータファイル
       Xman.tgz        オンラインマニュアル
       Xset.tgz        XF86Setup ユーティリティ
       Xjset.tgz       XF86Setup ユーティリティ (日本語版)
       XVG16.tgz       16 色 VGA サーバ (XF86Setup のためにこのサーバが必要です)
       Xcfg.tgz        xinit, xdm のための設定ファイルサンプル




  3.3 以降の版からの移行導入には次の構成要素が必要です:



  <!--
  preinst.sh      Pre-installation script
  postinst.sh     Post-installation script
  extract         XFree86 extraction utility
  Xbin.tgz        Clients, run-time libs, and app-defaults files
  Xdoc.tgz        Documentation
  Xlib.tgz        Data files required at run-time
  Xman.tgz        Manual pages
  Xset.tgz        XF86Setup utility
  Xjset.tgz       XF86Setup utility (if you prefer the Japanese version)
  XVG16.tgz       16 colour VGA server (XF86Setup needs this server)
  -->
  preinst.sh      導入前スクリプト
  postinst.sh     導入後スクリプト
  extract         XFree86 伸長ユーティリティ
  Xbin.tgz        クライアント、実行時ライブラリ、および
                  アプリケーションの標準値ファイル
  Xdoc.tgz        文書
  Xlib.tgz        実行時に必要なデータファイル
  Xman.tgz        オンラインマニュアル
  Xset.tgz        XF86Setup ユーティリティ
  Xjset.tgz       XF86Setup ユーティリティ (日本語版)
  XVG16.tgz       16 色 VGA サーバ (XF86Setup のためにこのサーバが必要です)




  標準フォントの更新は不可欠ではありませんが、この版には 2 つの基本的な
  ISO 8859-15 フォントが追加されている他、いくつかの小さな修正が含まれて
  います。標準フォントを更新する場合には次の構成要素も必要です:



       <!--
       Xfnts.tgz       75dpi, misc and PEX fonts
       -->
       Xfnts.tgz       75dpi, misc および PEX フォント




  注意: xinit や xdm の設定ファイルを自分の環境に合わせて変更している場
  合、既に導入されている場所に Xcfg.tgz を重ねて導入する場合には充分注意
  してください。 Xcfg.tgz の導入によって、既存のファイルはすべて上書きさ
  れてしまいます。設定を自分に合わせて変更している場合、 Xcfg.tgz を導入
  する必要はありません。

  この版で提供されているビットマップフォントは compress ではなく gzip を
  使って圧縮されています。たぶん、これを導入すると (バックアップを取って
  から) 古いフォントを削除したくなるでしょう。 3.2A より前の版の X サー
  バとフォントサーバは gzip 圧縮されたフォントを読み込めません。これらの
  古いサーバを動作させたい場合には古いフォントを削除しないようにしてくだ
  さい。

  次の X サーバは PC/AT 機 (例えば、 Intel ix86 ベースの PC) 用です。ハ
  ードウェアに合わせたサーバを最低ひとつ、 VGA16 サーバと一緒に選択して
  ください。 VGA16 サーバは新しい構成情報設定ユーティリティ (XF86Setup)
  のために必要です。必要な X サーバをビデオカード別に示したリストが
  http://www.xfree86.org/cardlist.html にあります。







  <!--
  X3DL.tgz        3Dlabs server
  X8514.tgz       8514/A server
  XAGX.tgz        AGX server
  XI128.tgz       I128 server
  XMa32.tgz       Mach 32 server
  XMa64.tgz       Mach 64 server
  XMa8.tgz        Mach 8 server
  XMono.tgz       Mono server
  XP9K.tgz        P9000 server
  XS3.tgz         S3 server
  XS3V.tgz        old S3 ViRGE server (please use SVGA server)
  XSVGA.tgz       SVGA server
  XVG16.tgz       16 colour VGA server (XF86Setup needs this server)
  XW32.tgz        ET4000/W32, ET6000 server
  -->
  X3DL.tgz        3Dlabs サーバ
  X8514.tgz       8514/A サーバ
  XAGX.tgz        AGX サーバ
  XI128.tgz       I128 サーバ
  XMa32.tgz       Mach 32 サーバ
  XMa64.tgz       Mach 64 サーバ
  XMa8.tgz        Mach 8 サーバ
  XMono.tgz       Mono サーバ
  XP9K.tgz        P9000 サーバ
  XS3.tgz         S3 サーバ
  XS3V.tgz        古い S3 ViRGE サーバ(なるべく SVGA サーバを使ってください)
  XSVGA.tgz       SVGA サーバ
  XVG16.tgz       16 色 VGA server (XF86Setup のためにこのサーバが必要です)
  XW32.tgz        ET4000/W32, ET6000 サーバ




  次は Alpha 機用 X サーバです:


       <!--
       <verb>
       XMa64.tgz       Mach 64 server
       XMono.tgz       Mono server (generic driver only)
       XP9K.tgz        P9000 server
       XTGA.tgz        DEC 21030 (TGA) server
       XS3.tgz         S3 server
       XS3V.tgz        old S3 ViRGE server (please use SVGA server)
       XSVGA.tgz       SVGA server (Matrox Millennium and S3 ViRGE drivers only)


       -->

       XMa64.tgz       Mach 64 サーバ
       XMono.tgz       Mono サーバ(汎用ドライバのみ)
       XP9K.tgz        P9000 サーバ
       XTGA.tgz        DEC 21030 (TGA) サーバ
       XS3.tgz         S3 サーバ
       XS3V.tgz        古い S3 ViRGE サーバ(なるべく SVGA サーバを使ってください)
       XSVGA.tgz       SVGA サーバ(Matrox Millennium および S3 ViRGE ドライバのみ)




  次は PC98 機用の X サーバです。ここで言う PC98 とは日本のコンピュータ
  標準機であって、 Win98 または Intel と Microsoft による PC98 仕様とは
  何の関係も無いことに注意してください。PC98 機を所有している場合には、
  ハードウェアに合わせたサーバを選択してください。もし PC98 機とは何かわ
  からなければ、ここにあるどれも必要ありません。これらのサーバは「普通
  の」 PC 上では 動作しません。日本製の PC98 機を所有していないのなら、
  これらのサーバを試してみようとはしないでください。必要な X サーバを
  PC98 のビデオカード別に示したリストが
  http://www.xfree86.org/cardlist98.html にあります。


       <!--
       X9NS3.tgz       PC98 NEC(S3) server
       X9SPW.tgz       PC98 PCSKB-PowerWindow(S3) server
       X9LPW.tgz       PC98 PowerWindowLB(S3) server
       X9EGC.tgz       PC98 EGC(generic) server
       X9GA9.tgz       PC98 GA-968V4/PCI(S3 968) server
       X9GAN.tgz       PC98 GANB-WAP(cirrus) server
       X9480.tgz       PC98 PEGC-480(generic) server
       X9NKV.tgz       PC98 NKV-NEC(cirrus) server
       X9WS.tgz        PC98 WABS(cirrus) server
       X9WEP.tgz       PC98 WAB-EP(cirrus) server
       X9WSN.tgz       PC98 WSN-A2F(cirrus) server
       X9TGU.tgz       PC98 TGUI server
       X9MGA.tgz       PC98 MGA server
       X9SVG.tgz       PC98 CLGD755x server
       X9set.tgz       PC98 XF98Setup utility
       -->
       X9NS3.tgz       PC98 NEC(S3) サーバ
       X9SPW.tgz       PC98 PCSKB-PowerWindow(S3) サーバ
       X9LPW.tgz       PC98 PowerWindowLB(S3) サーバ
       X9EGC.tgz       PC98 EGC(generic) サーバ
       X9GA9.tgz       PC98 GA-968V4/PCI(S3 968) サーバ
       X9GAN.tgz       PC98 GANB-WAP(cirrus) サーバ
       X9480.tgz       PC98 PEGC-480(generic) サーバ
       X9NKV.tgz       PC98 NKV-NEC(cirrus) サーバ
       X9WS.tgz        PC98 WABS(cirrus) サーバ
       X9WEP.tgz       PC98 WAB-EP(cirrus) サーバ
       X9WSN.tgz       PC98 WSN-A2F(cirrus) サーバ
       X9TGU.tgz       PC98 TGUI サーバ
       X9MGA.tgz       PC98 MGA サーバ
       X9SVG.tgz       PC98 CLGD755x サーバ
       X9set.tgz       PC98 XF98Setup ユーティリティ




  次に挙げるものはオプションです。























  <!--
  Xf100.tgz       100dpi fonts
  Xfcyr.tgz       Cyrillic fonts
  Xfnon.tgz       Other fonts (Chinese, Japanese, Korean, Hebrew)
  Xfscl.tgz       Scalable fonts (Speedo and Type1)
  Xfsrv.tgz       Font server and config files
  Xprog.tgz       X header files, config files and compile-time libs
  Xnest.tgz       Nested X server
  Xvfb.tgz        Virtual framebuffer X server
  Xprt.tgz        X Print server
  Xps.tgz         PostScript version of the documentation
  Xhtml.tgz       HTML version of the documentation
  Xjdoc.tgz       Documentation in Japanese (for version 3.3.4)
  Xjhtm.tgz       HTML version of the documentation in Japanese (3.3.4)
  Xlkit.tgz       X server LinkKit
  Xlk98.tgz       X server LinkKit for PC98 servers
  -->
  Xf100.tgz       100dpi フォント
  Xfcyr.tgz       キリル文字フォント
  Xfnon.tgz       その他のフォント (中国語、日本語、韓国語、ヘブライ語)
  Xfscl.tgz       スケーラブルフォント (Speedo と Type1)
  Xfsrv.tgz       フォントサーバと設定ファイル
  Xprog.tgz       X ヘッダファイル、設定ファイルとコンパイルに必要なライブラリ
  Xnest.tgz       ネストした X サーバ
  Xvfb.tgz        仮想フレームバッファを使う X サーバ
  Xprt.tgz        X プリントサーバ
  Xps.tgz         ポストスクリプト版の文書
  Xhtml.tgz       HTML 版の文書
  Xjdoc.tgz       日本語文書 (3.3.4 版用)
  Xjhtm.tgz       HTML 版の日本語文書 (3.3.4 版)
  Xlkit.tgz       X サーバリンクキット
  Xlk98.tgz       PC98 サーバ用の X サーバリンクキット




  既にある版の XFree86 を導入済みの場合は、他の事を行う前に /usr/X11R6の
  バックアップを取ってください。標準の導入手順では、既存の版の XFree86
  を上書きしてしまいます。

  新規導入の場合は /usr/X11R6 というディレクトリを作成して、必要な .tgz
  ファイルを伸長 (extract) してください。 /usr に充分な空きスペースが無
  ければ、どこか他の場所にディレクトリを作成して、そこへのシンボリックリ
  ンクを作成してください。例えば、 /home にディレクトリを作成する場合は
  次のようにします:


               mkdir /home/X11R6
               ln -s /home/X11R6 /usr




  次の段階は導入前スクリプトの実行です。このスクリプトはシステムについて
  いくつかの予備調査を行います。いくつかの OS では、このスクリプトを実行
  すると、 XFree86 を導入する前にいくつかのシステム構成要素についてその
  新バージョンを導入する必要があると報告してきます。このスクリプトはまた
  以前の版で導入され、古くなったファイルとシンボリックリンクについて問題
  を起こしそうなものを発見し、削除します。

  以降の導入手順では /var/tmp ディレクトリにすべてのファイルをダウンロー
  ドしてあると仮定しています。他のディレクトリにファイルを置く場合には、
  以下の記述にある「/var/tmp」をそのディレクトリ名に読み替えてください。

  /usr/X11R6 に移動して、導入前スクリプトを実行します:

          cd /usr/X11R6
          sh /var/tmp/preinst.sh




  次の作業は導入ユーティリティを実行可能にすることです。このためには、
  「extract」ファイルがすべての X*.tgz ファイルと同じディレクトリ内に存
  在することを確認し、そのディレクトリから次の手順を実行します:



               chmod 755 extract




  導入ユーティリティ「extract」は XFree86 パッケージを構成する .tgz ファ
  イルを展開するために使用されます。 .tgz ファイルは gzip 圧縮された tar
  ファイルですが、ほとんどの OS 上での標準的な「tar」コマンドは XFree86
  の導入作業に向いていません。 extract ユーティリティは XFree86 の導入に
  必要なオプションを付けて作成した GNU tar 1.12 の変更版です。 extract
  のソースコードは XFree86 パッケージと同じ所から入手可能です。

  XFree86 パッケージの展開には我々が提供している extract ユーティリティ
  の使用を強く勧めます。これを無視して他の方法を利用した場合、問題が起き
  ても我々は質問を受けつけません。また extract ユーティリティの名前を変
  更しないことも重要です。名前を変更すると、通常の GNU tar として動作し
  ます。

  XFree86 バイナリを伸長するには、 root になって次の手順を実行します:


               cd /usr/X11R6
               /var/tmp/extract /var/tmp/X*.tgz




  必要な .tgz ファイルを伸長したら、導入後スクリプトを実行します:


               cd /usr/X11R6
               sh /var/tmp/postinst.sh




  ldconfig を使用する OS では、導入を完了するために ldconfig の実行また
  は再起動が必要です。 Linux, FreeBSD, NetBSD または OpenBSD を使用して
  いる場合には、 postinst.sh スクリプトが ldconfig を正しく実行するはず
  です。 ldconfig を使用する他の OS では、起動時に ldconfig が正常に実行
  されることを確認してください。

  導入を完了したら、 X サーバを設定するために設定ユーティリティのひとつ
  (XF86Setup または xf86config) を実行しましょう。これは新規導入の場合不
  可欠な作業ですが、移行導入の場合にはかならず必要というわけではありませ
  ん。設定作業に関する詳細は QuickStart document を参照してください。



  $XFree86: xc/programs/Xserver/hw/xfree86/doc/Japanese/RELNOTES,v 3.1.2.3 1999/12/28 12:13:50 hohndel Exp $




  11.  日本語訳について

  日本語訳は X Japanese Documentation Project が行いました( 翻訳(XFree86
  3.3): 岡本一幸(<ikko-@pacific.rim.or.jp>
  <mailto:ikko-@pacific.rim.or.jp>, 更新(XFree86 3.3.3.1): 佐野武俊
  <kgh12351@nifty.ne.jp> <mailto:kgh12351@nifty.ne.jp>)。更新(XFree86
  3.3.4, 3.3.5, 3.3.6): 藤原輝嘉 <fujiwara@linux.or.jp>
  <mailto:fujiwara@linux.or.jp>)。問題点の指摘やご意見は佐野、藤原までご
  連絡ください。原文の著作権は XFree86 プロジェクト社にあり、日本語訳に
  伴う権利は X Japanese Documentation Project (http://xjman.dsl.gr.jp/
  <http://xjman.dsl.gr.jp/>) にあります。
